Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class MultiTermQuery.RewriteMethod

    java.lang.Object
      org.apache.lucene.search.MultiTermQuery.RewriteMethod

Direct Known Subclasses:
  DocTermOrdsRewriteMethod, FieldCacheRewriteMethod, MultiTermQuery.ConstantScoreAutoRewrite, ScoringRewrite, SpanMultiTermQueryWrapper.SpanRewriteMethod, TopTermsRewrite

Enclosing class:
  MultiTermQuery

    public abstract static class MultiTermQuery.RewriteMethod

extends Object

Abstract class that defines how the query is rewritten.

Constructor Summary
`MultiTermQuery.RewriteMethod()`

Method Summary
`protected TermsEnum` | `getTermsEnum(MultiTermQuery query, Terms terms, AttributeSource atts)` Returns the `MultiTermQuery`s `TermsEnum`
`abstract Query` | `rewrite(IndexReader reader, MultiTermQuery query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTermQuery.RewriteMethod

    public MultiTermQuery.RewriteMethod()

Method Detail

### rewrite

    public abstract Query rewrite(IndexReader reader,
                                  MultiTermQuery query)
                           throws IOException

  Throws:
    `IOException`

### getTermsEnum

    protected TermsEnum getTermsEnum(MultiTermQuery query,
                                     Terms terms,
                                     AttributeSource atts)
                              throws IOException

  Returns the `MultiTermQuery`s `TermsEnum`

  Throws:
    `IOException`
  See Also:
    `MultiTermQuery.getTermsEnum(Terms, AttributeSource)`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.